﻿Module mdlStructVars
    Public AppPath As String
    Public FullMatrix(2, 2) As Byte
    Public PlayerMatrix(1, 2, 2) As Byte
    Public GlobalLineSum(3, 2) As Byte
    Public Players(1) As strPlayer
    Public ActivePlayer As Byte = 0
    Public MoveCount As Byte = 0
    Public FirstCorner(1) As Point
    Public HardPlayStyle As Byte
    Public Num2Sym(4) As String
    Public GameState As enmGameState
    Public StartUpState As Boolean = False
    Public DrawSpace As Size
    Public SquareSize As Size
    Public Config As MyConfig
    Public LineHeight As Integer
    Public BackgroundPicturesExists(2) As Boolean
    Public BackgroundPictures(2) As Bitmap
    Public BackgroundPicturesParts(2, 2, 2) As Bitmap

    Public Structure MyConfig
        Dim Skin As String
        Dim ScreenSizeMulti As ScreenSizeMulti
    End Structure

    Public Structure strPlayer
        Dim ID As Byte
        Dim Name As String
        Dim Type As enmPlayerType
        Dim Strength As enmCPUStrength
    End Structure

    Public Enum ScreenSizeMulti As Byte
        QVGA = 1
        VGA = 2
    End Enum

    Public Enum enmGameState
        NoGame = 0
        ActiveGame = 1
    End Enum

    Public Enum enmPlayerType As Byte
        Human = 0
        CPU = 1
    End Enum

    Public Enum enmCPUStrength As Byte
        Easy = 0
        Normal = 1
        Hard = 2
    End Enum

    Public Enum enmMoveCheck As Byte
        Valid = 0
        Win = 1
        Invalid = 2
    End Enum

    Public Enum enmPlayerValue As Byte
        Player1 = 0
        Player2 = 4
    End Enum

    Public Version As String = "v0.5"
End Module
