﻿Public Class frmChameleon

    Private Sub MenuItem3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MenuItem3.Click
        Call Application.Exit()
    End Sub

    Private Sub MenuItem4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MenuItem4.Click
        Call NewGame(enmPlayerType.Human, enmCPUStrength.Easy, enmPlayerType.Human, enmCPUStrength.Easy)
    End Sub

    Private Sub MenuItem7_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MenuItem7.Click
        Call NewGame(enmPlayerType.Human, enmCPUStrength.Easy, enmPlayerType.CPU, enmCPUStrength.Normal)
    End Sub

    Private Sub MenuItem8_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MenuItem8.Click
        Call NewGame(enmPlayerType.Human, enmCPUStrength.Easy, enmPlayerType.CPU, enmCPUStrength.Hard)
    End Sub

    Private Sub MenuItem10_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MenuItem10.Click
        Call NewGame(enmPlayerType.CPU, enmCPUStrength.Easy, enmPlayerType.CPU, enmCPUStrength.Hard)
    End Sub

    Private Sub MenuItem11_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MenuItem11.Click
        Call NewGame(enmPlayerType.CPU, enmCPUStrength.Normal, enmPlayerType.CPU, enmCPUStrength.Hard)
    End Sub

    Private Sub MenuItem12_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MenuItem12.Click
        Call NewGame(enmPlayerType.CPU, enmCPUStrength.Hard, enmPlayerType.CPU, enmCPUStrength.Hard)
    End Sub

    Private Sub MenuItem13_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MenuItem13.Click
        Call NewGame(enmPlayerType.CPU, enmCPUStrength.Normal, enmPlayerType.CPU, enmCPUStrength.Normal)
    End Sub

    Private Sub MenuItem14_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MenuItem14.Click
        Call NewGame(enmPlayerType.CPU, enmCPUStrength.Easy, enmPlayerType.CPU, enmCPUStrength.Normal)
    End Sub

    Private Sub MenuItem15_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MenuItem15.Click
        Call NewGame(enmPlayerType.CPU, enmCPUStrength.Easy, enmPlayerType.CPU, enmCPUStrength.Easy)
    End Sub

    Private Sub MenuItem6_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MenuItem6.Click
        Call NewGame(enmPlayerType.Human, enmCPUStrength.Easy, enmPlayerType.CPU, enmCPUStrength.Easy)
    End Sub

    Private Sub pctDraw_MouseUp(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles pctDraw.MouseUp
        Dim FieldPoint As Point
        If Players(ActivePlayer).Type = enmPlayerType.Human Then
            FieldPoint.X = Int((e.X - (DrawSpace.Width - SquareSize.Width) / 2) / (SquareSize.Width / 3))
            FieldPoint.Y = Int((e.Y - (DrawSpace.Height - SquareSize.Height - (2 * LineHeight + 2 * Config.ScreenSizeMulti)) / 2) / (SquareSize.Height / 3))
            If FieldPoint.X >= 0 And FieldPoint.Y >= 0 And FieldPoint.X < 3 And FieldPoint.Y < 3 Then Call MakeMove(Players(ActivePlayer), FieldPoint)
        End If
    End Sub

    Public Sub pctDraw_Resize(ByVal sender As Object, ByVal e As System.EventArgs) Handles pctDraw.Resize
        If StartUpState = True Then
            DrawSpace = Me.Size
            SquareSize.Width = Math.Min(DrawSpace.Width, DrawSpace.Height)
            SquareSize.Height = SquareSize.Width
            If SquareSize.Height > DrawSpace.Height - (2 * LineHeight + 2 * Config.ScreenSizeMulti) Then
                SquareSize.Height = DrawSpace.Height - (2 * LineHeight + 2 * Config.ScreenSizeMulti)
                SquareSize.Width = SquareSize.Height
            End If

            'Wide Fix
            If SquareSize.Width > DrawSpace.Width - 3 * Config.ScreenSizeMulti Then
                SquareSize.Width = DrawSpace.Width - 3 * Config.ScreenSizeMulti
                SquareSize.Height = SquareSize.Width
            End If

            SquareSize.Width = Int(SquareSize.Width / 3) * 3
            SquareSize.Height = SquareSize.Width

            Call CreateBackBuffer()
            Call LoadPictures()
            Call DrawField()
            Call Redraw()
        End If
    End Sub

    Private Sub frmChameleon_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Call StartUp()
        Call pctDraw_Resize(sender, e)
        Call NewGame(enmPlayerType.Human, enmCPUStrength.Easy, enmPlayerType.Human, enmCPUStrength.Easy)
    End Sub

    Private Sub MenuItem17_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MenuItem17.Click
        MsgBox(SquareSize.Width & "x" & SquareSize.Height)
    End Sub
End Class
